Package com.orchestranetworks.userservice.declaration

# Interface ActivationContextOnAssociation

All Superinterfaces:
  `ActivationContext<AssociationEntitySelection>`, `ActivationContextWithDatasetSet<AssociationEntitySelection>`, `ActivationContextWithSchemaNodeSet<AssociationEntitySelection>`, `DatasetSet`, `DataspaceSet`

public interface ActivationContextOnAssociation extends ActivationContextWithSchemaNodeSet<AssociationEntitySelection>
Provides a context to define the activation scope and permission rules for a user service being declared on an association level. Refer to ActivationContext documentation for more information about user service activation.

By default, the service is activated on all associations in all datasets in all opened non-technical branches in the repository.

In this context, the datasets used to define the activation are relative to the the association source record, and the schema nodes used to define the activation are association nodes in the data model.

Since:
  5.8.0
See Also:
  - `UserServiceDeclaration.defineActivation(ActivationContext)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.schema.types.dataset.DatasetSet

  `DatasetSet.DatasetChildrenPolicy`

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.schema.types.dataspace.DataspaceSet

  `DataspaceSet.DataspaceChildrenPolicy, DataspaceSet.DataspaceType`

- ## Method Summary

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContext

  `getAvailableToolbarLocations, setDefaultPermission, setDisplayForAllLocations, setDisplayForLocations, setPermissionRule`

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContextWithDatasetSet

  `getDataModelRootNode, setActivationRule`

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContextWithSchemaNodeSet

  `excludeSchemaNodesMatching, excludeSchemaNodesMatching, includeAllSchemaNodes, includeSchemaNodesMatching, includeSchemaNodesMatching`

  ### Methods inherited from interface com.orchestranetworks.schema.types.dataset.DatasetSet

  `excludeDatasetsMatching, excludeDatasetsMatching, includeAllDatasets, includeDatasetsMatching, includeDatasetsMatching`

  ### Methods inherited from interface com.orchestranetworks.schema.types.dataspace.DataspaceSet

  `excludeDataspacesMatching, excludeDataspacesMatching, includeAllDataspaces, includeDataspacesMatching, includeDataspacesMatching, setIgnoreDataspacesDefaultExcludes`